<div id="body" class="container-fluid">
  <h6>MDS MAC Durations</h6>
  <form [formGroup]="form" novalidate>
    <div class="form-row col-12">
      <div class="form-group form-group-sm row col-24">
        <label class="col-9 text-danger">Simple/Complex Redesign Multiplier: </label>
        <div class="col-15 pl-1">
          <div class="input-group">
            <input type="number" min="0" class="form-control form-control-sm"
                   name="scMultiplier" formControlName="scMultiplier" />
            <button type="button" class="btn btn-sm btn-primary" (click)="updateMultiplier()">
              Update
            </button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row col-12">
      <div class="form-group form-group-sm row col-24">
        <label class="col-9 text-danger">MDS Network Activity Types: </label>
        <div class="col-15 pl-1">
          <dx-select-box [items]="mdsNtwrkActyTpeList" formControlName="mdsNtwrkActyType"
                         displayExpr="prmtrNme" valueExpr="cfgId"
                         [searchEnabled]="true" [searchExpr]="['prmtrNme']" searchMode="startswith"
                         (onSelectionChanged)="onMDSNtwrkActyLookupChanged($event)"></dx-select-box>
        </div>
      </div>
    </div>
    <div class="form-row col-12">
      <div class="form-group form-group-sm row col-10">
        <label class="col-10 text-danger">Base Duration: </label>
        <div class="col-14 pl-1">
          <input type="number" min="0" class="form-control form-control-sm"
                 name="baseDuration" formControlName="baseDuration" />
        </div>
      </div>
      <div class="form-group form-group-sm row col-14">
        <label class="col-8 text-danger">Transport Duration: </label>
        <div class="col-16 pl-1">
          <div class="input-group">
            <input type="number" min="0" class="form-control form-control-sm"
                   name="trnprtDuration" formControlName="trnprtDuration" />
            <button type="button" class="btn btn-sm btn-primary" (click)="updateDuration()">
              Update
            </button>
          </div>
        </div>
      </div>
    </div>
  </form>

  <dx-data-grid #grid id="grid" [dataSource]="items" keyExpr="mdsMacActyId" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                (onSelectionChanged)="selectionChangedHandler($event)"
                (onToolbarPreparing)="onToolbarPreparing($event)"
                (onEditingStart)="loadEditForm($event)"
                (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                (onRowInserting)="saveForm($event)" (onRowUpdating)="saveForm($event)">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxo-editing mode="form" [useIcons]="true" [allowUpdating]="true" [allowAdding]="true">
      <dxo-form>
        <dxi-item dataField="mdsMacActyNme" [colSpan]="1"></dxi-item>
        <dxi-item dataField="minDrtnTmeReqrAmt" [colSpan]="1"></dxi-item>
      </dxo-form>
    </dxo-editing>
    <dxi-column type="buttons" [buttons]="['edit']" caption="Edit" [minWidth]="50"></dxi-column>
    <dxi-column dataField="mdsMacActyNme" caption="MDS MAC Activity Name"
                dataType="string" [minWidth]="150">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <dxi-validation-rule type="stringLength" [max]="200"
                           message="MDS MAC Activity Name max characters is 100."></dxi-validation-rule>
    </dxi-column>
    <dxi-column dataField="minDrtnTmeReqrAmt" caption="Min Duration" dataType="number"
                [minWidth]="100" alignment="left">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-column>
    <dxi-column dataField="createdByAdId" caption="Created By" dataType="string" [minWidth]="100"></dxi-column>
    <dxi-column dataField="modifiedByAdId" caption="Modified By" dataType="string" [minWidth]="100"></dxi-column>
    <dxi-column dataField="modfdDt" cellTemplate="localStartTime" caption="Modified Date"
                dataType="string" [minWidth]="150"></dxi-column>
    <div *dxTemplate="let cell of 'localStartTime'">
      <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
    </div>
    <div *dxTemplate="let data of 'removeTemplate'">
      <button class="btn btn-sm btn-primary" type="button"
              [disabled]="!selectedItemKeys.length" (click)="deleteRows()">
        Remove Selected Records
      </button>
    </div>
  </dx-data-grid>
</div>
